LIBPLAYER-TEST(1)

NAME
libplayer-test - a test media player utility which uses libplayer

SYNOPSIS
libplayer-test [options ...] [files ...]

DESCRIPTION
This manual page documents briefly the libplayer-test command.

libplayer-test is a command-line media player which uses libplayer as a backend. It is mainly used to test and exercise libplayer capabilities.

OPTIONS

-h --help
    this help

-p --player <player>
    specify the player (mplayer|xine|vlc|gstreamer)

-a --audio <audioout>
    specify the audio output (alsa|oss|pulse|null)

-g --video <videoout>
    specify the video output (x11|sdl:x11|xv|gl|vdpau|fb|null)

-v --verbose
    increase verbosity

Default values are dummy player, auto video and auto audio output.

Commands to use libplayer-test:

#   change playback mode (auto or single)

.   change loop value and mode

,   enable/disable shuffle on the playlist

%   write a text on the OSD

k   enable/disable OSD

+/- increase/decrease speed

]/[ audio delay +/- 100 ms

0/9 increase/decrease volume

m   set/unset mute

2/1 5s forward/backward

3/4 previous/next audio track

5/6 previous/next subtitle

7/8 previous/next TV analog channel

{/} previous/next radio channel

(/) previous/next chapter

u   toggle subtitle visibility

a   change aspect ratio (original/16:9)

l   load a stream in the playlist

v   print properties and metadata of the current stream

j   take a video snapshot of a specific time position

y   select a radio channel

z   select a TV channel

i   print current time position

p   start a new playback

o   pause/unpause the current playback

s   stop the current playback

b   start the previous stream in the playlist

n   start the next stream in the playlist

r   remove the current stream of the playlist

t   remove all streams of the playlist

q   quit libplayer-test

Commands for dvdnav:

ARROWS
    menu navigation

BACKSPACE
    return to menu

ENTER
    select

SEE ALSO
libplayer-testvdr (1), libplayer-regtest (1)

AUTHOR
libplayer was written by Benjamin Zores <ben@geexbox.org> and Mathieu Schroeter <mathieu.schroeter@mycable.ch>.

This manual page was written by Davide Cavalca <davide@geexbox.org>, for the Debian project (but may be used by others).